Sign a document

Signs a document with hash signing.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Document data to sign, signatory and authentication validation.

string
length between 64 and 64
^[A-Fa-f0-9]{64}$

Hexadecimal SHA256 hash of the document to sign

uuid | null
required

UID of the signatory

uuid | null

Authentication token ID (requise sauf pour authentication_type = url_secret)

string | null

Secret d'URL requis lorsque authentication_type = url_secret

string | null

PNG data URL generated from the handwritten, typed, or imported signature image.

string | null
enum

Capture mode used to create signature_image.

Allowed:
Responses
200

Document signed successfully

400

Invalid or missing data

403

Unauthorized user or invalid authentication token

404

No valid signing context found using data provided

409

Certificate data not yet delivered

422

Validation failed

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!